package ru.otus.mobile.config;

import java.util.List;

public final class MobileConfig {
    private final String appPackage;
    private final String appUrl;
    private final String appiumHost;
    private final List<Emulator> emulators;

    public MobileConfig(
            String appPackage,
            String appUrl,
            String appiumHost,
            List<Emulator> emulators
    ) {
        this.appPackage = appPackage;
        this.appUrl = appUrl;
        this.appiumHost = appiumHost;
        this.emulators = List.copyOf(emulators);
    }

    public String appPackage() {
        return appPackage;
    }

    public String appUrl() {
        return appUrl;
    }

    public String appiumHost() {
        return appiumHost;
    }

    public List<Emulator> emulators() {
        return emulators;
    }

    public record Emulator(String id, String appiumUrl, String deviceName, String appUrl) { }
}
